Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78685 - glib2-devel could contain static libraries
Summary: glib2-devel could contain static libraries
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glib2
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-27 16:44 UTC by Bernd Kischnick
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-09 20:42:45 UTC


Attachments (Terms of Use)
patch to the spec file (deleted)
2002-11-27 16:45 UTC, Bernd Kischnick
no flags Details | Diff

Description Bernd Kischnick 2002-11-27 16:44:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:0.9.8) Gecko/20020310

Description of problem:
glib2-devel-2.0.6-2.*.rpm doesn't contain static libraries.
Perhaps they should be added for the sake of other RPMs like pam or initscripts,
which then could use glib2 instead of glib.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
rpm -ql glib2-devel | grep "\.a$"

Actual Results:  no output

Expected Results:  
/usr/lib/libglib-2.0.a
/usr/lib/libgmodule-2.0.a
/usr/lib/libgobject-2.0.a
/usr/lib/libgthread-2.0.a


Additional info:

adding "--enable-static" plus the %files entry in the spec file works without
any problem. see attached patch to the spec file.

Comment 1 Bernd Kischnick 2002-11-27 16:45:22 UTC
Created attachment 86726 [details]
patch to the spec file

Comment 2 Owen Taylor 2003-01-09 20:42:45 UTC
* Thu Jan  9 2003 Owen Taylor <otaylor@redhat.com>
- Add static libraries to build (#78685, Bernd Kischnick)



Note You need to log in before you can comment on or make changes to this bug.